# Copyright (c) 2021-2023 Alibaba Cloud Computing Ltd.
# SPDX-License-Identifier: MulanPSL-2.0
import os
import logging

from logging.handlers import TimedRotatingFileHandler

logger = logging.getLogger("common")

# Console Handler
ch = logging.StreamHandler()

ch.setLevel(logging.CRITICAL)
ch.setFormatter(logging.Formatter(
    "[%(levelname)s] %(asctime)s: %(message)s"))
logger.addHandler(ch)

# Files Handler
cwd = os.path.dirname(__file__)
fh = TimedRotatingFileHandler(
    os.path.join(cwd, '/var/log/keenopt.log'),
    when = 'D',
    interval = 1,
    backupCount = 14
)
fh.setFormatter(logging.Formatter(
    "[%(levelname)s] %(asctime)s: %(message)s"))
logger.addHandler(fh)
